Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79242 - The system is freezing or some services (smtp,pop) are refused connections
Summary: The system is freezing or some services (smtp,pop) are refused connections
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 14:30 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-05 16:33:33 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-08 14:30:41 UTC
Using: Linux ns.host.ru 2.4.18-3 #1 Thu Apr 18 07:37:53 EDT 2002 i686 unknown

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
In dmesg I see:

<1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c3859e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22485, stackpage=c3859000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e043a0 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c7d6a000 08051f04 c4e043a0 08051f04 
       c6375080 c0126843 c4e043a0 c1b71d80 08051f04 c5142144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01175f5>] __mmdrop [kernel] 0x35 
[<c011ac12>] do_exit [kernel] 0x222 
[<c0109c7a>] handle_IRQ_event [kernel] 0x3a 
[<c0109df8>] do_IRQ [kernel] 0x68 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c41c1e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22662, stackpage=c41c1000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04620 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c21ac000 08051f04 c4e04620 08051f04 
       c157a080 c0126843 c4e04620 c48b1a20 08051f04 c3651144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01175f5>] __mmdrop [kernel] 0x35 
[<c011ac12>] do_exit [kernel] 0x222 
[<c0127d34>] sys_munmap [kernel] 0x34 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c5f75e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22674, stackpage=c5f75000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e046c0 c0126328 000d8900 
       00000001 c10ff948 c10ff948 c1000030 c72d2000 08051f04 c4e046c0 08051f04 
       c59a1080 c0126843 c4e046c0 c48b16c0 08051f04 c358a144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c3c0de78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22689, stackpage=c3c0d000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04760 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c3cbb000 08051f04 c4e04760 08051f04 
       c1329080 c0126843 c4e04760 c76027a0 08051f04 c132b144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c6959e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22893, stackpage=c6959000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04800 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c2383000 08051f04 c4e04800 08051f04 
       c66a6080 c0126843 c4e04800 c4625f60 08051f04 c15aa144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01175f5>] __mmdrop [kernel] 0x35 
[<c011ac12>] do_exit [kernel] 0x222 
[<c0127d34>]sys_munmap [kernel] 0x34 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c3b05e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 22995, stackpage=c3b05000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04ee0 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c690a000 08051f04 c4e04ee0 08051f04 
       c752e080 c0126843 c4e04ee0 c4f0c300 08051f04 c0b70144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c011ff13>] collect_signal [kernel] 0x93 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01414db>] pipe_read [kernel] 0x21b 
[<c0138e3b>] sys_read [kernel] 0xeb 
[<c01389a3>] filp_close [kernel] 0x53 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c6f4fe78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23010, stackpage=c6f4f000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04c60 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c23b4000 08051f04 c4e04c60 08051f04 
       c4495080 c0126843 c4e04c60 c179bec0 08051f04 c4191144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01175f5>] __mmdrop [kernel] 0x35 
[<c011ac12>] do_exit [kernel] 0x222 
[<c0109c7a>] handle_IRQ_event [kernel] 0x3a 
[<c0127d34>] sys_munmap [kernel] 0x34 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 01000008
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010206

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 01000000   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c70b5e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23135, stackpage=c70b5000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c7fd5d00 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c1800000 08051f04 c7fd5d00 08051f04 
       c36ee080 c0126843 c7fd5d00 c0eb01a0 08051f04 c5372144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c011ff13>] collect_signal [kernel] 0x93 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01414db>] pipe_read [kernel] 0x21b 
[<c0138e3b>] sys_read [kernel] 0xeb 
[<c01389a3>] filp_close [kernel] 0x53 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 1e080009
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010202

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 1e080001   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c138de78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23320, stackpage=c138d000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c7fd5bc0 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c13aa000 08051f04 c7fd5bc0 08051f04 
       c55cd080 c0126843 c7fd5bc0 c7992d40 08051f04 c4cf3144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 1e080009
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010202

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 1e080001   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c41abe78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23322, stackpage=c41ab000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c7fd51c0 c0126328 000d8900 
       00000001 c10ff948 c10ff948 c1000030 c3ffb000 08051f04 c7fd51c0 08051f04 
       c666a080 c0126843 c7fd51c0 c04f0180 08051f04 c4137144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 1e080009
 printing eip:
c01291f8
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c01291f8>]    Not tainted
EFLAGS: 00010202

EIP is at __find_lock_page_helper [kernel] 0x28 (2.4.18-3)
eax: 00000000   ebx: 1e080001   ecx: c10e12c8   edx: 00000014
esi: 00000014   edi: c1806754   ebp: c10e12c8   esp: c41abf08
ds: 0018   es: 0018   ss: 0018
Process up2date (pid: 23355, stackpage=c41ab000)
Stack: c1806754 c11feaa4 00000014 00001000 c012ba15 c1806754 00000014 c11feaa4 
       c41abf54 00001000 00000001 00000000 00001000 fffffff4 00000000 00014000 
       00000000 c18066a0 c1806754 00000000 000a6ba6 00000000 c41abf7c c41aa000 
Call Trace: [<c012ba15>] generic_file_write [kernel] 0x415 
[<c0138ee6>] sys_write [kernel] 0x96 
[<c011b61b>] sys_gettimeofday [kernel] 0x1b 
[<c0108923>] system_call [kernel] 0x33 


Code: 39 7b 08 75 f4 39 73 0c 75 ef 85 db 74 32 ff 43 14 31 c0 0f 
 <1>Unable to handle kernel paging request at virtual address 1e080009
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010202

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 1e080001   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c41abe78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23361, stackpage=c41ab000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c4e04d00 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c64cd000 08051f04 c4e04d00 08051f04 
       c6e99080 c0126843 c4e04d00 c0eb0bc0 08051f04 c7471144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c0138ee6>] sys_write [kernel] 0x96 
[<c011b61b>] sys_gettimeofday [kernel] 0x1b 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 <1>Unable to handle kernel paging request at virtual address 1e080009
 printing eip:
c0129157
*pde = 00000000
Oops: 0000
ip_conntrack_ftp ip_nat_ftp 3c59x ipt_REJECT ipt_LOG ipt_state ipt_REDIRECT ip
CPU:    0
EIP:    0010:[<c0129157>]    Not tainted
EFLAGS: 00010202

EIP is at __find_get_page [kernel] 0x17 (2.4.18-3)
eax: 1e080001   ebx: 000d8900   ecx: c02c45e0   edx: 000d8900
esi: c02c45e0   edi: 08051f04   ebp: 000d8900   esp: c3977e78
ds: 0018   es: 0018   ss: 0018
Process crond (pid: 23379, stackpage=c3977000)
Stack: c0132658 c02c45e0 000d8900 c11feaa4 08051f04 c0c0fea0 c0126328 000d8900 
       00000001 c10acc18 c10acc18 c1000030 c3bb4000 08051f04 c0c0fea0 08051f04 
       c7762080 c0126843 c0c0fea0 c7602920 08051f04 c2115144 000d8900 00000001 
Call Trace: [<c0132658>] lookup_swap_cache [kernel] 0x38 
[<c0126328>] do_swap_page [kernel] 0x18 
[<c0126843>] handle_mm_fault [kernel] 0xe3 
[<c01143aa>] do_page_fault [kernel] 0x12a 
[<c01175f5>] __mmdrop [kernel] 0x35 
[<c011ac12>] do_exit [kernel] 0x222 
[<c0146553>] sys_ioctl [kernel] 0x223 
[<c0114280>] do_page_fault [kernel] 0x0 
[<c0108a14>] error_code [kernel] 0x34 


Code: 39 48 08 75 f4 39 50 0c 75 ef 85 c0 74 03 ff 40 14 c3 8d b4 
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.perhaps this problem with kernel

Expected Results:  stable system

Additional info:

Comment 1 Arjan van de Ven 2002-12-08 14:36:57 UTC
have you tried using the latest erratum kernel for 7.3?

Comment 2 Arjan van de Ven 2003-04-05 16:33:33 UTC
closing due to long inactivity in NEEDINFO


Note You need to log in before you can comment on or make changes to this bug.